Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions.naming.strategy
Class AbstractFileNamingStrategy

    java.lang.Object
      org.jboss.soa.esb.actions.naming.strategy.AbstractFileNamingStrategy

All Implemented Interfaces:
  FileNamingStrategy

Direct Known Subclasses:
  AddTimestampNamingStrategy, ChangeSuffixNamingStrategy, GroovyNamingStrategy

    public abstract class AbstractFileNamingStrategy

extends java.lang.Object
implements FileNamingStrategy

Abstract base class that handles common concerns for file naming.

Author:
  Derek Adams

Constructor Summary
`AbstractFileNamingStrategy()`

Method Summary
`java.lang.String` | `getFilenameWithoutSuffix(java.lang.String filename)` Gets the filename without the suffix.
`java.lang.String` | `getSuffix(java.lang.String filename)` Gets the filename without the suffix.
`abstract java.lang.String` | `process(java.lang.String filename, Message message)` Process the incoming filename and generate an outgoing filename.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.soa.esb.actions.naming.strategy.FileNamingStrategy
`configure`

Constructor Detail

### AbstractFileNamingStrategy

    public AbstractFileNamingStrategy()

Method Detail

### process

    public abstract java.lang.String process(java.lang.String filename,
                                             Message message)

  Description copied from interface: `FileNamingStrategy`
  Process the incoming filename and generate an outgoing filename.

  Specified by:
    `process` in interface `FileNamingStrategy`
  Returns:
    String

### getFilenameWithoutSuffix

    public java.lang.String getFilenameWithoutSuffix(java.lang.String filename)

  Gets the filename without the suffix.

  Parameters:
    `filename` -
  Returns:
    String

### getSuffix

    public java.lang.String getSuffix(java.lang.String filename)

  Gets the filename without the suffix.

  Parameters:
    `filename` -
  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD